cURL
curl --request DELETE \
--url https://api.diversion.dev/v0/repos/{repo_id}/branches/{branch_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/branches/{branch_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/branches/{branch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 403,
"detail": "User not authorized to perform the requested action on the resource",
"title": "<string>",
"type": "<string>"
}{
"status": 403,
"detail": "User not authorized to perform the requested action on the resource",
"title": "<string>",
"type": "<string>"
}Repository Branch Manipulation
Delete branch
Delete a branch. The default branch cannot be deleted.
DELETE
/
repos
/
{repo_id}
/
branches
/
{branch_id}
cURL
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
Branch ID. Branch name can be used instead of the ID, but storing and using branch ID in API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
Response
Request completed successfully
⌘I

